---
type: api
title: Delete the Entity Engine
description: **Spaces method and path for this operation:**
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v8/operation/operation-deleteentityengine
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v8/operation/operation-deleteentityengine
products:
  - Kibana
---

# Delete the Entity Engine

- Server: `https://{kibana_url}`

## Paths

- `DELETE` `/api/entity_store/engines/{entityType}`
- `DELETE` `/s/{space_id}/api/entity_store/engines/{entityType}`

- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v8/authentication#apikeyauth)
- [Basic auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v8/authentication#basicauth)

#### Path Parameters

- `entityType` (enum)
  The entity type of the engine (either 'user' or 'host').
  Values: `user`, `host`, `service`

## Description

Refer to [Spaces](https://www.elastic.co/docs/deploy-manage/manage-spaces) for more information.

## Query String Parameters

- `data` (boolean)
  Control flag to also delete the entity data.

## Response

Successful response

`application/json`

- `deleted` (boolean)
  Whether the engine was successfully deleted.
## Code Examples

#### Console

```console
DELETE /api/entity_store/engines/{entityType}
```

#### curl

```curl
curl -X DELETE "https://{kibana_url}/api/entity_store/engines/{entityType}"
```

